Skip to main content
POST
/
api
/
presentations
/
{presentationId}
/
appointment
Book an appointment
curl --request POST \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/appointment \
  --header 'Content-Type: application/json' \
  --header 'x-presentation-token: <x-presentation-token>' \
  --data '
{
  "startTime": "2026-03-21T15:00:00.000Z",
  "endTime": "2026-03-21T16:00:00.000Z",
  "attendeeTZ": "America/Denver",
  "email": "jsmith@example.com",
  "phone": "<string>"
}
'
{
  "success": true,
  "startTime": "2023-11-07T05:31:56Z",
  "endTime": "2023-11-07T05:31:56Z"
}

Headers

x-presentation-token
string
required

Presentation authentication token

Path Parameters

presentationId
string<uuid>
required

Body

application/json
startTime
string<date-time>
required

Appointment start (ISO 8601, must be in the future)

Example:

"2026-03-21T15:00:00.000Z"

endTime
string<date-time>
required

Appointment end (must be after startTime)

Example:

"2026-03-21T16:00:00.000Z"

attendeeTZ
string
required

Attendee's IANA timezone

Example:

"America/Denver"

email
string<email>

Prospect email (optional, synced to prospect record)

phone
string

Prospect phone (optional, synced to prospect record)

Minimum string length: 1

Response

Appointment booked

success
boolean
Example:

true

startTime
string<date-time>
endTime
string<date-time>